%define name perl-%{realname}
%define realname Mail-POP3Client
%define version 2.18
%define release %mkrel 4

Name:		%{name}
Summary:	POP3Client module for perl (Mail_and_Usenet_News/Mail)
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}
Source:		http://search.cpan.org/CPAN/authors/id/S/SD/SDOWD/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:perl-devel
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch
Obsoletes:  perl-POP3Client <= 2.13
Provides:   POP3Client = %version

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep 

%setup -q -n %{realname}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std
%{__rm} -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes  MANIFEST README
%{perl_vendorlib}/Mail/
%_mandir/man3/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.18-4mdv2009.0
+ Revision: 257689
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.18-3mdv2009.0
+ Revision: 245775
- rebuild

* Thu Feb 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2008.1
+ Revision: 175983
- update to new version 2.18

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdv2008.0
+ Revision: 25116
- Import perl-Mail-POP3Client

